[frameworkd]
# indicates this configuration version, do not change
version = 1
# the default log_level, if not specified per subsystem or module
# available log levels are: DEBUG, INFO, WARNING, ERROR, CRITICAL
log_level = INFO
# the global log_destination. Uncomment to enable
# available destinations are: stderr, file, syslog
log_to = stderr
# if logging to a file, specify the destination
log_destination = /tmp/frameworkd.log
# persistence format, one of "pickle", "yaml"
persist_format = pickle
rootdir = ../etc/freesmartphone:/etc/freesmartphone:/usr/etc/freesmartphone
# specify how subsystems scan for their plugins,
# either "auto" (via filesystem scan) or "config" (via config section check)
# the default is "auto" (slow).
scantype = auto

#
# Subsystem configuration for oeventsd
#
[odeviced]
# set 1 to disable a subsystem or a module
disable = 0

[odeviced.accelerometer]
disable = 1

[odeviced.audio]
# set directory where the alsa audio scenarios are stored
scenario_dir = /usr/share/openmoko/scenarios
# set default scenario loaded at startup
default_scenario = stereoout

[odeviced.idlenotifier]
# add input nodes to ignore for idle activity
ignoreinput = 2,3,4
# configure timeouts (in seconds) here. A value of 0
# means 'never fall into this state' (except programmatically)
idle = 10
idle_dim = 20
idle_prelock = 12
lock = 2
suspend = 0

[odeviced.input]
# format is <keyname>,<type>,<input device keycode>,<report held seconds in addition to press/release>
report1 = AUX,key,169,1
report2 = POWER,key,116,1
report3 = CHARGER,key,356,0
report4 = HEADSET,switch,2,0

[odeviced.kernel26]
disable = 0
# poll capacity once every 5 minutes
# (usually, you do not have to change this)
capacity_check_timeout = 300
# set 0 to disable FB_BLANK ioctl to blank framebuffer
# (if you have problems on Openmoko GTA02)
fb_blank = 1

[odeviced.powercontrol_ibm]
disable = 1

[odeviced.powercontrol_neo]
disable = 0

#
# Subsystem configuration for oeventsd
#
[oeventsd]
log_level = DEBUG
disable = 0

[oeventsd.oevents]

#
# Subsystem configuration for ogspd
#
[ogpsd]
# possible options are NMEADevice, UBXDevice, GTA02Device, EtenDevice
device = GTA02Device
# possible options are SerialChannel, GllinChannel, UDPChannel, FileChannel
channel = SerialChannel
# For UDPChannel the path defines the port to listen to
path = /dev/ttySAC1
# Threshold of movement, this can reduce the noise when the GPS is stationary or moving slowly
# Value is in cm/s (centimeter per second)
static_threshold = 10

[ogpsd.factory]

#
# Subsystem configuration for ogsmd
#
[ogsmd]
disable = 0
# choose your modem type, available types are: ti_calypso, freescale_neptune, singleline, muxed4line, option, ...
modemtype = ti_calypso
# if you have a ti_calypso, you can choose the deep sleep mode. Valid values are: never, adaptive (default), always
ti_calypso_deep_sleep = adaptive
# if you have a ti_calypso, you can choose the dsp mode for audio enhancement. Valid values are:
#    "short-aec": Short Echo Cancellation (max)
#    "long-aec":  Long Echo Cancellation (max)
#    "long-aec:6db": Long Echo Cancellation (-6db)
#    "long-aec:12db": Long Echo Cancellation (-12db)
#    "long-aec:18db": Long Echo Cancellation (-18db)
#    "nr": Noise Reduction (max)
#    "nr:6db": Noise Reduction (-6db)
#    "nr:12db": Noise Reduction (-12db)
#    "nr:18db": Noise Reduction (-18db)
#    "aec+nr": Long Echo Cancellation (max) plus Noise Reduction (max) [default]
#    "none": No audio processing.
ti_calypso_dsp_mode = aec+nr
# choose your muxer, available types are: gsm0710muxd [default], fso-abyss
ti_calypso_muxer = gsm0710muxd

#
# Subsystem configuration for onetworkd
#
[onetworkd]

[onetworkd.network]

#
# Subsystem configuration for ophoned
#
[ophoned]

[ophoned.ophoned]

#
# Subsystem configuration for opimd
#
[opimd]
contacts_default_backend = CSV-Contacts
messages_default_backend = SIM-Messages-FSO
calls_default_backend = SQLite-Calls
dates_default_backend = SQLite-Dates
notes_default_backend = SQLite-Notes
tasks_default_backend = SQLite-Tasks
contacts_merging_enabled = 1
messages_default_folder = Unfiled
messages_trash_folder = Trash
sim_messages_default_folder = SMS
rootdir = ../etc/freesmartphone/opim:/etc/freesmartphone/opim:/usr/etc/freesmartphone/opim

[opimd.opimd]

#
# Subsystem configuration for opreferencesd
#
[opreferencesd]
log_level = DEBUG
disable = 0

[opreferencesd.opreferences]

#
# Subsystem configuration for otimed
#
[otimed]
# a list of time/zone sources to use or NONE
timesources = GPS,NTP
zonesources = GSM
# use an ip address here, otherwise DNS resolution will block
ntpserver = 134.169.172.1

[otimed.otimed]

#
# Subsystem configuration for ousaged
#
[ousaged]
# choose whether resources should be disabled at startup, at shutdown, always (default), or never.
sync_resources_with_lifecycle = always

[ousaged.generic]

[testing]
disable = 1
